package projectzombie.items;

import gl_engine.vec.Vec2d;
import gl_engine.vec.Vec2i;
import gl_engine.vec.Vec3d;
import projectzombie.entity.EntityTnt;
import projectzombie.entity.player.EntityPlayer;
import projectzombie.init.Models;
import projectzombie.items.modifier.ItemModifierMeta;
import projectzombie.model.ModelItem;
import projectzombie.util.ItemStack;
import projectzombie.world.chunk.Chunk;
import projectzombie.world.layer.Layer;

public class ItemTnt extends Item
{
	@Override
	public ModelItem getModel(ItemStack stack) {
		return Models.ITEM_TNT;
	}

	@Override
	public String getName(ItemStack stack) {
		return "TNT";
	}
	
	@Override
	public boolean onPlayerRightClick(ItemStack stack, Layer layer, EntityPlayer player, Vec2d place_pos) {
		layer.spawnEntity(new EntityTnt(player.getPos(), player.getVelocity(),
				player.angle, ItemModifierMeta.getStackMeta(stack), 5000));
		stack.count -= 1;
		return true;
	}

}
